% Esercitazione MATLAB TTR - 3/10/2012
% Ripasso avanzato MATLAB
 profile on
% dbstop if error
%% Visualizzazioni
clear all;
close all;
clc;
mu1=0;
sigma1=1;
A = normrnd(mu1,sigma1,50,50);% Campionatura da una Gaussiana 1D


h1=figure; 
set(h1,'name','Matrice di valori Gaussiani mu=0 gamma=1');
get(h1);
imagesc(A);
colorbar;
colormap bone
colormap jet
axis image
% ispezionare la figura con le properties

h1bis = figure;
set(h1bis,'name','subplot');
subplot(211); imagesc(A,[-4,4]); colorbar;
axis image
title('Matrice intera');
subplot(212); imagesc(A(30:end,30:end),[-4,4]); colorbar; 
axis image
title('Sottomatrice');

a=A(:);
a = sort(a,'ascend');
h2 = figure;
set(h2,'name','Array valori Gaussiani mu=0 gamma=1');
scatter(a,zeros(size(a,1),1),'r');
%ispezionare la figura via zoom e traslazione
pdf = normpdf(a,mu1,sigma1);
hold on
plot(a,pdf);
%ispezionare la figura con l'indicatore di valori sia i punti che la pdf
scatter(-1.003,0.2412)
text(-1.003,0.2412+0.01,'P(-1.003|\mu_1,\sigma_1)=0.2412')

%% Costruzione di un classificatore Bayesiano semplice
card1 = 100;
card2 = 100;

mu1 = 0; std1 = 0.1;
mu2 = 1; std2 = 0.1;

x = 0.4;

%plottare le due distribuzioni;
P1= card1/(card1+card2);
P2= card2/(card1+card2);

Lik1 = normpdf(x,mu1,std1);
Lik2 = normpdf(x,mu2,std2);

Pos1 = P1*Lik1;
Pos2 = P2*Lik2;

%% Provo con diversi x

x=-10:10;

Lik1 = normpdf(x,mu1,std1);
Lik2 = normpdf(x,mu2,std2);

Pos1 = P1.*Lik1;
Pos2 = P2.*Lik2;
h3=figure;

plot(x,Pos1); hold on
plot(x,Pos2,'g');




% fprintf('P(C1|x) = %i, P(C2|x) = %i\n',Pos1,Pos2);

  profile viewer
%  profile clear

%Argomenti svolti in aula: analisi ambiente grafico "figure", analisi
%ambiente debugging (dbstop if ... etc), analisi ambiente profile e
%controllo codice automatico


